Class
VolatilePtr
Helper data structure for handling volatile data.
VolatilePtr<T>
Include Headers
seqan/basic.h
Parameters

T | The pointed-to type.

Remarks
Allows you to handle volatile data (used by ext. string during swapping).
Imagine volatile pointers as nodes in an undirected graph. When you assign one to another then they are connected. All pointers in a connection component points to the same value. By calling nukeCopies you can destroy the component and set all pointers to NULL.
Functions

nukeCopies | Reset all pointers connected to a given one.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57